com.collabnet.ce.soap60.webservices.rbac

## Class UserRolesSoapDO

- java.lang.Object
- - com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
  - - com.collabnet.ce.soap60.webservices.rbac.UserRolesSoapDO

-     public class UserRolesSoapDO
      extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  UserRolesSoapDO class represents a user with many roles association for a project used in the webservices API.
  Since:
    6.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserRolesSoapDO()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String[]` | `getRoleIds()` Returns 'roleIds'.
    `String` | `getUserName()` Returns 'userName'.
    `static void` | `registerTypeMappings(org.apache.axis.client.Call call)`
    `void` | `setRoleIds(String[] roleIds)` Sets 'roleIds'.
    `void` | `setUserName(String userName)` Sets 'userName'.

    - ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

      `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserRolesSoapDO

          public UserRolesSoapDO()

  - ### Method Detail

    - #### getUserName

          public String getUserName()

      Returns 'userName'. The user name for whom the roles would be assigned.
      Returns:
        Value of 'userName'.

    - #### setUserName

          public void setUserName(String userName)

      Sets 'userName'. The user name for whom the roles would be assigned.
      Parameters:
        `userName` - Value of 'userName'.

    - #### getRoleIds

          public String[] getRoleIds()

      Returns 'roleIds'. Array of roles to be assinged to username.
      Returns:
        Value of 'roleIds'.

    - #### setRoleIds

          public void setRoleIds(String[] roleIds)

      Sets 'roleIds'. Array of roles to be assinged to username.
      Parameters:
        `roleIds` - Value of 'roleIds'.

    - #### registerTypeMappings

          public static void registerTypeMappings(org.apache.axis.client.Call call)

Copyright © 2019 CollabNet. All rights reserved.